%define fw_version 5.24

Summary:	KDE Frameworks 5 DBus addons module with various classes on top of QtDBus
Name:		kdbusaddons
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
KDE Frameworks 5 DBus addons module with various classes on top of QtDBus.

KDBusAddons provides convenience classes on top of QtDBus, as well as an API to
create KDED modules.

%files
%{_kde5_bindir}/kquitapp5

#----------------------------------------------------------------------------

%package i18n
Summary:	KDBusAddons translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDBusAddons translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5dbusaddons_major 5
%define libkf5dbusaddons %mklibname kf5dbusaddons %{kf5dbusaddons_major}

%package -n %{libkf5dbusaddons}
Summary:	KDE Frameworks 5 DBus addons shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5dbusaddons}
KDE Frameworks 5 DBus addons shared library.

%files -n %{libkf5dbusaddons}
%{_kde5_libdir}/libKF5DBusAddons.so.%{kf5dbusaddons_major}*

#----------------------------------------------------------------------------

%define devkf5dbusaddons %mklibname kf5dbusaddons -d

%package -n %{devkf5dbusaddons}
Summary:	Development files for KDE Frameworks 5 DBus addons
Group:		Development/KDE and Qt
Requires:	%{libkf5dbusaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5dbusaddons-devel = %{version}

%description -n %{devkf5dbusaddons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5dbusaddons}
%{_kde5_includedir}/KF5/KDBusAddons
%{_kde5_includedir}/KF5/kdbusaddons_version.h
%{_kde5_libdir}/cmake/KF5DBusAddons
%{_kde5_libdir}/libKF5DBusAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (1a327e0) New version 5.24.0


